dist: trusty
language: perl
perl:
#  - "5.8.1"
  - "5.8"
  - "5.10"
  - "5.12"
  - "5.14"
  - "5.16"
  - "5.18"
  - "5.20"
  - "5.22"
  - "5.24"
  - "5.26"
#  - "blead"
env:
  - DBI_VERSION=
matrix:
  include:
    - perl: 5.8
      env: DBI_VERSION=1.58
before_install:
  - test $DBI_VERSION && cpanm -n DBI@$DBI_VERSION || cpanm -n DBI